[rt-users] Upgrading from 4.2.0 > 4.4.0

Lush, Aaron alush at scentral.k12.in.us
Fri Feb 26 16:39:18 EST 2016


No w I am getting the following error when upgrading, after using the
UPDATE command listed below. This only occurs when upgrading from 4.3.9 to
4.3.10. Any further advice would be much appreciated!

*Processing 4.3.10*
*Now populating database schema.*
*[19046] [Fri Feb 26 21:33:59 2016] [critical]: DBD::mysql::st execute
failed: Table 'Assets' already exists at
/tmp/rt-4.4.0/sbin/../lib/RT/Handle.pm line 552.
(/tmp/rt-4.4.0/sbin/../lib/RT.pm:390)*
*DBD::mysql::st execute failed: Table 'Assets' already exists at
/tmp/rt-4.4.0/sbin/../lib/RT/Handle.pm line 552.*
*Makefile:391: recipe for target 'upgrade-database' failed*

Sincerely,

Aaron Lush
Network Administrator
South Central Community School Corporation
(219) 767-2266 ext. 1111

On Fri, Feb 26, 2016 at 3:12 PM, Lush, Aaron <alush at scentral.k12.in.us>
wrote:

> Thanks, Joop. I'll restore my 4.2 database backup and run the following
> SQL command on the database:
>
> UPDATE users SET ExternalAuthID=null WHERE ExternalAuthId IS NOT null;
>
> MySQL isn't my strongest set of skills, but that is how I am understanding
> your post. Thanks a lot for the quick response!
>
> Sincerely,
>
> Aaron Lush
> Network Administrator
> South Central Community School Corporation
> (219) 767-2266 ext. 1111
>
> On Fri, Feb 26, 2016 at 2:59 PM, Joop <jvdwege at xs4all.nl> wrote:
>
>> On 26-2-2016 18:47, Lush, Aaron wrote:
>>
>> I'm trying to upgrade from 4.2.0 > 4.4.0 on Ubuntu Server 15.10 and have
>> been running into some snags. The first was that I had "ExternalAuthId"
>> with values in my RT4 database, as I was using that plug-in. Once I dropped
>> that table I was able to continue upgrading. However, my upgrade has
>> stalled at the following:
>>
>>
>> Using something like : update users set externalauthid=null where
>> externalauthid is not null should do the trick. Don't drop the users table.
>> I just did a test upgrade from 4.0.23 to 4.4.0 and we're using
>> ExternalAuth too.
>> For those interested: we also use AssetTracker and I migrated all its
>> assets to the shine new RT::Assets :-)
>> Got a question about something related but will post that in a new thread.
>>
>> Regards,
>>
>> Joop
>>
>>
>> ---------
>> RT 4.4 and RTIR Training Sessions (
>> http://bestpractical.com/services/training.html)
>> * Hamburg Germany - March 14 & 15, 2016
>> * Washington DC - May 23 & 24, 2016
>>
>
>

-- 
Email Confidentiality Notice: This email message, including all 
attachments, is for the sole use of the intended recipient(s) and contains 
confidential information. If you are not the intended recipient, you may 
not use, disclose, print, copy or disseminate this information. Please 
reply and notify the sender, delete the message and any attachments and 
destroy all copies. 
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.bestpractical.com/pipermail/rt-users/attachments/20160226/add0d5d7/attachment.html>


More information about the rt-users mailing list